%define upstream_name	 Audio-DSP
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:	Perl interface to OSS digital audio device
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Audio/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Audio-DSP-0.02-VOCP.patch

BuildRequires:	perl-devel


%description
Audio::DSP is built around the OSS (Open Sound System) API and allows perl to
interface with a digital audio device. It provides, among other things, an
initialization method which opens and handles ioctl messaging on the audio
device file. Audio::DSP also provides some rudimentary methods for the storage
and manipulation of audio data in memory.

In order to use Audio::DSP, you'll need to have the necessary OSS
drivers/libraries installed. OSS is available for many popular Unices, and a
GPLed version (with which this extension was initially developed and tested) is
distributed with with the Linux kernel. 

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
# doesn't work

%install
%{__rm} -rf %{buildroot} 
%makeinstall_std

%clean 
%{__rm} -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorarch}/Audio
%{perl_vendorarch}/auto/Audio
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-6.mga3
+ Revision: 363231
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.20.0-5.mga3
+ Revision: 250270
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 0.20.0-4.mga2
+ Revision: 103453
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-3.mga1
+ Revision: 32723
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.20.0-2.mga1
+ Revision: 29796
- mageia rebuild
- imported package perl-Audio-DSP

